EDIT - feature request #9613

Use fixed uuids for roles project manager, publish and user manager
05/07/2021 12:21 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.23

Severity: normal

Description

Currently only Role_Admin and Role_Remoting seem to have fixed UUIDs though in class persistence.permission.Role UUIDs are
defined for these other roles.

Related issues:
Related to EDIT - bug #9612: ROLE_USER_MANAGER is missing as a group in First... Closed

Related to EDIT - task #9614: Use underscore as word separator for all role b... Closed

Associated revisions

Revision 0¢924588 - 05/07/2021 12:40 PM - Andreas Miiller

ref #9613 use fixed role uuids for new GrantedAuthorities being roles and ref #9612 enlarge test data for FirstDatalnserter

Revision 961bbcd9 - 05/07/2021 01:22 PM - Andreas Miiller
fix #9613 update script for old role uuids

Revision 81c55de3 - 05/11/2021 12:16 PM - Andreas Miiller

ref #9613 change uuid for role project manager as it was used also for user manager before

Revision 72253758 - 05/11/2021 01:04 PM - Andreas Miiller
ref #9613 adapt uuids in tests

History

#1 - 05/07/2021 12:22 PM - Andreas Miiller
- Related to bug #9612: ROLE_USER_MANAGER is missing as a group in FirstDatalmporter added

#2 - 05/07/2021 01:22 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|961bbcd9b37¢84a728d020c601843c769ff1de52.

#3 - 05/07/2021 01:24 PM - Andreas Miuller

- Assignee changed from Andreas Mtiller to Andreas Kohlbecker

this is fixed and can be reviewed. Only open issue is that the schema update to 5.23 is not yet activated so old databases are not yet updated.

#4 - 05/07/2021 01:35 PM - Andreas Miller

- Related to task #9614: Use underscore as word separator for all role based groups added

#5 - 05/11/2021 05:57 PM - Andreas Kohlbecker

can be closed in principle, but see #9612 first.

#6 - 05/11/2021 05:58 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Miiller
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/961bbcd9b37c84a728d020c601843c769ff1de52
https://dev.e-taxonomy.eu/redmine/issues/9612

#7 - 05/11/2021 06:43 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

#8 - 05/17/2021 09:52 AM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.23
